Special:AncientPages hide disambiguation pages
Closed, ResolvedPublic

Description

The AncientPages special page should have an option to hide disambiguation pages.

This was proposed several times in the English Wikipedia, and also in Hebrew and possibly in other languages.

(And yes, currently this page is out of date because of performance and all that, but some day it will hopefully be on...)

Amire80 created this task.Nov 30 2014, 1:13 PM
Amire80 updated the task description. (Show Details)
Amire80 raised the priority of this task from to Needs Triage.
Amire80 changed Security from none to None.
Amire80 added a subscriber: Amire80.
Aklapper triaged this task as Lowest priority.Mar 23 2015, 5:17 PM
Aklapper added a subscriber: Aklapper.

This would be trivial to implement without an option. Adding an option would make it more of a pain. Are we sure we really want an option to include disambiguation pages?

Danny_B added a subscriber: Danny_B.

This would be trivial to implement without an option. Adding an option would make it more of a pain. Are we sure we really want an option to include disambiguation pages?

Special:AncientPages && Special:AncientDisambiguations ?

Most of the comments at https://en.wikipedia.org/wiki/Wikipedia_talk:Special:AncientPages favor removing disambiguation pages entirely. Personally, I don't see any reason why anyone would want to include them. Would anyone object if I go ahead and just remove them (without providing an option to include them)? Implementing that would take less than an hour. Adding an option would probably mean rewriting the page from scratch since it couldn't be a regular QueryPage any more. Personally, I'm willing to do the former, but not the latter.

Most of the comments at https://en.wikipedia.org/wiki/Wikipedia_talk:Special:AncientPages favor removing disambiguation pages entirely. Personally, I don't see any reason why anyone would want to include them. Would anyone object if I go ahead and just remove them (without providing an option to include them)?

OK with me.

Restricted Application added a subscriber: Luke081515. · View Herald TranscriptFeb 4 2016, 2:02 PM
Florian claimed this task.Apr 2 2016, 9:36 PM
Florian added a subscriber: Florian.

Ok, I'll take this, hope that's ok with you, @kaldari! :)

@Florian: Sure, just be aware that https://gerrit.wikimedia.org/r/#/c/279924/ is still unmerged (as I haven't figured out what Legoktm wants me to do there).

Florian removed Florian as the assignee of this task.Apr 2 2016, 10:27 PM

@kaldari: Oh, ok, then I think it's a better idea to wait, until the change in Disambiguator is merged, as it has some nice refactoring in it :)

@Florian: I ended up abandoning the previous changes, but the refactoring still needs to be merged at https://gerrit.wikimedia.org/r/#/c/283584.

@Florian: You're all clear now!

Agabi10 claimed this task.Aug 30 2018, 1:33 PM

Change 456389 had a related patch set uploaded (by Agabi10; owner: Agabi10):
[mediawiki/core@master] Add a hook to allow changing the query of Special:AncientPages in extensions

https://gerrit.wikimedia.org/r/456389

Change 456389 merged by jenkins-bot:
[mediawiki/core@master] Add a hook to allow changing the query of Special:AncientPages in extensions

https://gerrit.wikimedia.org/r/456389

Change 457071 had a related patch set uploaded (by Agabi10; owner: Agabi10):
[mediawiki/extensions/Disambiguator@master] Remove disambiguation pages from Special:AncientPages

https://gerrit.wikimedia.org/r/457071

Legoktm renamed this task from Special:AncientPages should have an option to hide disambiguation pages to Special:AncientPages hide disambiguation pages.

Change 457071 merged by jenkins-bot:
[mediawiki/extensions/Disambiguator@master] Remove disambiguation pages from Special:AncientPages

https://gerrit.wikimedia.org/r/457071

Agabi10 closed this task as Resolved.Sep 11 2018, 8:17 PM